package com.izouma.awesomeadmin.service.impl;

import java.util.*;
import org.apache.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.izouma.awesomeadmin.constant.AppConstant;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.ContactUs;
import com.izouma.awesomeadmin.service.ContactUsService;
import com.izouma.awesomeadmin.dao.ContactUsMapper;

/**
*  service接口实现类
*/
@Service
public class ContactUsServiceImpl implements ContactUsService{

    private static Logger logger = Logger.getLogger(ContactUsServiceImpl.class);

    @Autowired
    private ContactUsMapper contactUsMapper;

    @Override
    public List<ContactUs> getContactUsList(ContactUs record) {

        logger.info("getContactUsList");
        try {

        return contactUsMapper.queryAllContactUs(record);
        } catch (Exception e) {
        logger.error("getContactUsList", e);
        }

        return null;
    }
    @Override
    public List<ContactUs> getContactUsByPage(Page page, ContactUs record) {

        logger.info("getContactUsByPage");
        try {

        Map<String, Object> parameter = new HashMap<String, Object>();
        parameter.put("record", record);
        parameter.put(AppConstant.PAGE, page);

        return contactUsMapper.queryContactUsByPage(parameter);
        } catch (Exception e) {
        logger.error("getContactUsByPage", e);
        }

        return null;
    }

    @Override
    public ContactUs getContactUsById(String id) {

        logger.info("getContactUsyId");
        try {

            return contactUsMapper.selectByPrimaryKey(Integer.valueOf(id));
        } catch (Exception e) {
        logger.error("getContactUsById", e);
        }

        return null;
    }

    @Override
    public ContactUs getContactUs(ContactUs record) {

        logger.info("getContactUs");
        try {

            return contactUsMapper.queryContactUs(record);
        } catch (Exception e) {
        logger.error("getContactUs", e);
        }

        return null;
    }

    @Override
    public boolean createContactUs(ContactUs record) {

        logger.info("createContactUs");
        try {

            int updates = contactUsMapper.insertSelective(record);

            if (updates > 0) {
                 return true;
            }
        } catch (Exception e) {
            logger.error("createContactUs", e);
        }

        return false;
    }

    @Override
    public boolean deleteContactUs(String id) {

        logger.info("deleteContactUs");
        try {

             int updates = contactUsMapper.delete(id);

            if (updates > 0) {
                 return true;
            }
        } catch (Exception e) {
             logger.error("deleteContactUs", e);
        }

        return false;
    }

    @Override
    public boolean updateContactUs(ContactUs record) {

        logger.info("updateContactUs");
        try {

            int updates = contactUsMapper.updateByPrimaryKeySelective(record);

            if (updates > 0) {
                 return true;
            }
        } catch (Exception e) {
             logger.error("updateContactUs", e);
        }

        return false;
    }
}

